<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019b9f90-009f-7778-8fce-3ea081a93354,g:2df131e3-a662-4896-98e0-45c7fda360f4-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:joby="http://www.jobyaviation.com/20251231" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2024-01-31" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.jobyaviation.com/20251231">
  <xs:import namespace="http://fasb.org/srt/2025" schemaLocation="https://xbrl.fasb.org/srt/2025/elts/srt-2025.xsd"/>
  <xs:import namespace="http://fasb.org/us-gaap/2025" schemaLocation="https://xbrl.fasb.org/us-gaap/2025/elts/us-gaap-2025.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2024-01-31" schemaLocation="https://www.xbrl.org/dtr/type/2024-01-31/types.xsd"/>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/country/2025" schemaLocation="https://xbrl.sec.gov/country/2025/country-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/cyd-af-sub/2025" schemaLocation="https://xbrl.sec.gov/cyd/2025/cyd-af-sub-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei/2025" schemaLocation="https://xbrl.sec.gov/dei/2025/dei-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/ecd/2025" schemaLocation="https://xbrl.sec.gov/ecd/2025/ecd-2025.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/stpr/2025" schemaLocation="https://xbrl.sec.gov/stpr/2025/stpr-2025.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="joby-20251231_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="joby-20251231_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="joby-20251231_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="joby-20251231_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="CoverPage" roleURI="http://www.jobyaviation.com/role/CoverPage">
        <link:definition>0000001 - Document - Cover Page</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AuditInformation" roleURI="http://www.jobyaviation.com/role/AuditInformation">
        <link:definition>0000002 - Document - Audit Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedBalanceSheets" roleURI="http://www.jobyaviation.com/role/ConsolidatedBalanceSheets">
        <link:definition>9952151 - Statement - Consolidated Balance Sheets</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedBalanceSheetsParenthetical" roleURI="http://www.jobyaviation.com/role/ConsolidatedBalanceSheetsParenthetical">
        <link:definition>9952152 - Statement - Consolidated Balance Sheets (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementsofOperations" roleURI="http://www.jobyaviation.com/role/ConsolidatedStatementsofOperations">
        <link:definition>9952153 - Statement - Consolidated Statements of Operations</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementsofComprehensiveLoss" roleURI="http://www.jobyaviation.com/role/ConsolidatedStatementsofComprehensiveLoss">
        <link:definition>9952154 - Statement - Consolidated Statements of Comprehensive Loss</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementsofStockholdersEquity" roleURI="http://www.jobyaviation.com/role/ConsolidatedStatementsofStockholdersEquity">
        <link:definition>9952155 - Statement - Consolidated Statements of Stockholders' Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementsofStockholdersEquityParenthetical" roleURI="http://www.jobyaviation.com/role/ConsolidatedStatementsofStockholdersEquityParenthetical">
        <link:definition>9952156 - Statement - Consolidated Statements of Stockholders' Equity (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementsofCashFlows" roleURI="http://www.jobyaviation.com/role/ConsolidatedStatementsofCashFlows">
        <link:definition>9952157 - Statement - Consolidated Statements of Cash Flows</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CompanyandNatureofBusiness" roleURI="http://www.jobyaviation.com/role/CompanyandNatureofBusiness">
        <link:definition>9952158 - Disclosure - Company and Nature of Business</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AccountingPolicies" roleURI="http://www.jobyaviation.com/role/AccountingPolicies">
        <link:definition>9952159 - Disclosure - Accounting Policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurements" roleURI="http://www.jobyaviation.com/role/FairValueMeasurements">
        <link:definition>9952160 - Disclosure - Fair Value Measurements</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Acquisitions" roleURI="http://www.jobyaviation.com/role/Acquisitions">
        <link:definition>9952161 - Disclosure - Acquisitions</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponents" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponents">
        <link:definition>9952162 - Disclosure - Balance Sheet Components</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Leases" roleURI="http://www.jobyaviation.com/role/Leases">
        <link:definition>9952163 - Disclosure - Leases</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingencies" roleURI="http://www.jobyaviation.com/role/CommitmentsandContingencies">
        <link:definition>9952164 - Disclosure - Commitments and Contingencies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockWarrantsEarnoutSharesandContingentConsideration" roleURI="http://www.jobyaviation.com/role/StockWarrantsEarnoutSharesandContingentConsideration">
        <link:definition>9952165 - Disclosure - Stock Warrants, Earnout Shares and Contingent Consideration</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquity" roleURI="http://www.jobyaviation.com/role/StockholdersEquity">
        <link:definition>9952166 - Disclosure - Stockholders' Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueRecognition" roleURI="http://www.jobyaviation.com/role/RevenueRecognition">
        <link:definition>9952167 - Disclosure - Revenue Recognition</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensation" roleURI="http://www.jobyaviation.com/role/StockbasedCompensation">
        <link:definition>9952168 - Disclosure - Stock-based Compensation</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxes" roleURI="http://www.jobyaviation.com/role/IncomeTaxes">
        <link:definition>9952169 - Disclosure - Income Taxes</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RelatedPartyTransactions" roleURI="http://www.jobyaviation.com/role/RelatedPartyTransactions">
        <link:definition>9952170 - Disclosure - Related Party Transactions</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetLossperShareAttributabletoCommonStockholders" roleURI="http://www.jobyaviation.com/role/NetLossperShareAttributabletoCommonStockholders">
        <link:definition>9952171 - Disclosure - Net Loss per Share Attributable to Common Stockholders</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SegmentReporting" roleURI="http://www.jobyaviation.com/role/SegmentReporting">
        <link:definition>9952172 - Disclosure - Segment Reporting</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEvents" roleURI="http://www.jobyaviation.com/role/SubsequentEvents">
        <link:definition>9952173 - Disclosure - Subsequent Events</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesPolicies" roleURI="http://www.jobyaviation.com/role/SummaryofSignificantAccountingPoliciesPolicies">
        <link:definition>9955511 - Disclosure - Summary of Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementsTables" roleURI="http://www.jobyaviation.com/role/FairValueMeasurementsTables">
        <link:definition>9955512 - Disclosure - Fair Value Measurements (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AcquisitionsTables" roleURI="http://www.jobyaviation.com/role/AcquisitionsTables">
        <link:definition>9955513 - Disclosure - Acquisitions (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponentsTables" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponentsTables">
        <link:definition>9955514 - Disclosure - Balance Sheet Components (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesTables" roleURI="http://www.jobyaviation.com/role/LeasesTables">
        <link:definition>9955515 - Disclosure - Leases (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesTables" roleURI="http://www.jobyaviation.com/role/CommitmentsandContingenciesTables">
        <link:definition>9955516 - Disclosure - Commitments and Contingencies (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockWarrantsEarnoutSharesandContingentConsiderationTables" roleURI="http://www.jobyaviation.com/role/StockWarrantsEarnoutSharesandContingentConsiderationTables">
        <link:definition>9955517 - Disclosure - Stock Warrants, Earnout Shares and Contingent Consideration (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityTables" roleURI="http://www.jobyaviation.com/role/StockholdersEquityTables">
        <link:definition>9955518 - Disclosure - Stockholders' Equity (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueRecognitionTables" roleURI="http://www.jobyaviation.com/role/RevenueRecognitionTables">
        <link:definition>9955519 - Disclosure - Revenue Recognition (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationTables" roleURI="http://www.jobyaviation.com/role/StockbasedCompensationTables">
        <link:definition>9955520 - Disclosure - Stock-based Compensation (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesTables" roleURI="http://www.jobyaviation.com/role/IncomeTaxesTables">
        <link:definition>9955521 - Disclosure - Income Taxes (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetLossperShareAttributabletoCommonStockholdersTables" roleURI="http://www.jobyaviation.com/role/NetLossperShareAttributabletoCommonStockholdersTables">
        <link:definition>9955522 - Disclosure - Net Loss per Share Attributable to Common Stockholders (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SegmentReportingTables" roleURI="http://www.jobyaviation.com/role/SegmentReportingTables">
        <link:definition>9955523 - Disclosure - Segment Reporting (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesDetails" roleURI="http://www.jobyaviation.com/role/SummaryofSignificantAccountingPoliciesDetails">
        <link:definition>9955524 - Disclosure - Summary of Significant Accounting Policies (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementsScheduleofFairValueAssetsandLiabilitiesMeasuredonRecurringBasisDetails" roleURI="http://www.jobyaviation.com/role/FairValueMeasurementsScheduleofFairValueAssetsandLiabilitiesMeasuredonRecurringBasisDetails">
        <link:definition>9955525 - Disclosure - Fair Value Measurements - Schedule of Fair Value, Assets and Liabilities Measured on Recurring Basis (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementsSummaryofDebtSecuritiesAvailableforsaleDetails" roleURI="http://www.jobyaviation.com/role/FairValueMeasurementsSummaryofDebtSecuritiesAvailableforsaleDetails">
        <link:definition>9955526 - Disclosure - Fair Value Measurements - Summary of Debt Securities, Available-for-sale (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementsAdditionalInformationDetails" roleURI="http://www.jobyaviation.com/role/FairValueMeasurementsAdditionalInformationDetails">
        <link:definition>9955527 - Disclosure - Fair Value Measurements - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueMeasurementsSummaryofFairValueLiabilitiesMeasuredonRecurringBasisUnobservableInputReconciliationDetails" roleURI="http://www.jobyaviation.com/role/FairValueMeasurementsSummaryofFairValueLiabilitiesMeasuredonRecurringBasisUnobservableInputReconciliationDetails">
        <link:definition>9955528 - Disclosure - Fair Value Measurements - Summary of Fair Value, Liabilities Measured on Recurring Basis, Unobservable Input Reconciliation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Acquisitions2024AcquisitionsDetails" roleURI="http://www.jobyaviation.com/role/Acquisitions2024AcquisitionsDetails">
        <link:definition>9955529 - Disclosure - Acquisitions - 2024 Acquisitions (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Acquisitions2025AcquisitionsDetails" roleURI="http://www.jobyaviation.com/role/Acquisitions2025AcquisitionsDetails">
        <link:definition>9955530 - Disclosure - Acquisitions - 2025 Acquisitions (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AcquisitionsScheduleofAssetsAcquiredandLiabilitiesAssumedDetails" roleURI="http://www.jobyaviation.com/role/AcquisitionsScheduleofAssetsAcquiredandLiabilitiesAssumedDetails">
        <link:definition>9955531 - Disclosure - Acquisitions - Schedule of Assets Acquired and Liabilities Assumed (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AcquisitionsScheduleOfIntangibleAssetsAcquiredDetails" roleURI="http://www.jobyaviation.com/role/AcquisitionsScheduleOfIntangibleAssetsAcquiredDetails">
        <link:definition>9955532 - Disclosure - Acquisitions - Schedule Of Intangible Assets Acquired (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponentsSummaryofPropertyPlantandEquipmentDetails" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponentsSummaryofPropertyPlantandEquipmentDetails">
        <link:definition>9955533 - Disclosure - Balance Sheet Components - Summary of Property, Plant and Equipment (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponentsAdditionalInformationDetails" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponentsAdditionalInformationDetails">
        <link:definition>9955534 - Disclosure - Balance Sheet Components - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponentsScheduleofIntangibleAssetsDetails" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponentsScheduleofIntangibleAssetsDetails">
        <link:definition>9955535 - Disclosure - Balance Sheet Components - Schedule of Intangible Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponentsScheduleofEstimatedFutureAmortizationExpenseofAcquiredIntangibleAssetsDetails" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponentsScheduleofEstimatedFutureAmortizationExpenseofAcquiredIntangibleAssetsDetails">
        <link:definition>9955536 - Disclosure - Balance Sheet Components - Schedule of Estimated Future Amortization Expense of Acquired Intangible Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponentsScheduleofGoodwillDetails" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponentsScheduleofGoodwillDetails">
        <link:definition>9955537 - Disclosure - Balance Sheet Components - Schedule of Goodwill (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponentsScheduleofPrepaidExpensesandOtherCurrentAssetsDetails" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponentsScheduleofPrepaidExpensesandOtherCurrentAssetsDetails">
        <link:definition>9955538 - Disclosure - Balance Sheet Components - Schedule of Prepaid Expenses and Other Current Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponentsScheduleofOtherNonCurrentAssetsDetails" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponentsScheduleofOtherNonCurrentAssetsDetails">
        <link:definition>9955539 - Disclosure - Balance Sheet Components - Schedule of Other Non-Current Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponentsScheduleofAccruedandOtherCurrentLiabilitiesDetails" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponentsScheduleofAccruedandOtherCurrentLiabilitiesDetails">
        <link:definition>9955540 - Disclosure - Balance Sheet Components - Schedule of Accrued and Other Current Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalanceSheetComponentsScheduleofOtherNoncurrentLiabilitiesDetails" roleURI="http://www.jobyaviation.com/role/BalanceSheetComponentsScheduleofOtherNoncurrentLiabilitiesDetails">
        <link:definition>9955541 - Disclosure - Balance Sheet Components - Schedule of Other Non-current Liabilities (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesAdditionalInformationDetails" roleURI="http://www.jobyaviation.com/role/LeasesAdditionalInformationDetails">
        <link:definition>9955542 - Disclosure - Leases - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesSupplementalLeaseInformationDetails" roleURI="http://www.jobyaviation.com/role/LeasesSupplementalLeaseInformationDetails">
        <link:definition>9955543 - Disclosure - Leases - Supplemental Lease Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesScheduleofFutureMinimumPaymentsDetails" roleURI="http://www.jobyaviation.com/role/LeasesScheduleofFutureMinimumPaymentsDetails">
        <link:definition>9955544 - Disclosure - Leases - Schedule of Future Minimum Payments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesScheduleofFutureMinimumPaymentsDetails_1" roleURI="http://www.jobyaviation.com/role/LeasesScheduleofFutureMinimumPaymentsDetails_1">
        <link:definition>9955544 - Disclosure - Leases - Schedule of Future Minimum Payments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesLeaseCostsDetails" roleURI="http://www.jobyaviation.com/role/LeasesLeaseCostsDetails">
        <link:definition>9955545 - Disclosure - Leases - Lease Costs (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LeasesSupplementalCashFlowInformationDetails" roleURI="http://www.jobyaviation.com/role/LeasesSupplementalCashFlowInformationDetails">
        <link:definition>9955546 - Disclosure - Leases - Supplemental Cash Flow Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesNarrativeDetails" roleURI="http://www.jobyaviation.com/role/CommitmentsandContingenciesNarrativeDetails">
        <link:definition>9955547 - Disclosure - Commitments and Contingencies - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingenciesScheduleofUnfulfilledObligationsDetails" roleURI="http://www.jobyaviation.com/role/CommitmentsandContingenciesScheduleofUnfulfilledObligationsDetails">
        <link:definition>9955548 - Disclosure - Commitments and Contingencies - Schedule of Unfulfilled Obligations (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockWarrantsEarnoutSharesandContingentConsiderationAdditionalInformationDetails" roleURI="http://www.jobyaviation.com/role/StockWarrantsEarnoutSharesandContingentConsiderationAdditionalInformationDetails">
        <link:definition>9955549 - Disclosure - Stock Warrants, Earnout Shares and Contingent Consideration - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockWarrantsEarnoutSharesandContingentConsiderationScheduleofAssumptionsUsedtoEstimateFairValueDetails" roleURI="http://www.jobyaviation.com/role/StockWarrantsEarnoutSharesandContingentConsiderationScheduleofAssumptionsUsedtoEstimateFairValueDetails">
        <link:definition>9955550 - Disclosure - Stock Warrants, Earnout Shares and Contingent Consideration - Schedule of Assumptions Used to Estimate Fair Value (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityAdditionalInformationDetails" roleURI="http://www.jobyaviation.com/role/StockholdersEquityAdditionalInformationDetails">
        <link:definition>9955551 - Disclosure - Stockholders' Equity - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockholdersEquityScheduleofSharesReservedforFutureIssuanceDetails" roleURI="http://www.jobyaviation.com/role/StockholdersEquityScheduleofSharesReservedforFutureIssuanceDetails">
        <link:definition>9955552 - Disclosure - Stockholders' Equity - Schedule of Shares Reserved for Future Issuance (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueRecognitionScheduleofDisaggregatedRevenueDetails" roleURI="http://www.jobyaviation.com/role/RevenueRecognitionScheduleofDisaggregatedRevenueDetails">
        <link:definition>9955553 - Disclosure - Revenue Recognition - Schedule of Disaggregated Revenue (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueRecognitionNarrativeDetails" roleURI="http://www.jobyaviation.com/role/RevenueRecognitionNarrativeDetails">
        <link:definition>9955554 - Disclosure - Revenue Recognition - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationAdditionalInformationDetails" roleURI="http://www.jobyaviation.com/role/StockbasedCompensationAdditionalInformationDetails">
        <link:definition>9955555 - Disclosure - Stock-based Compensation - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationScheduleofStockOptionActivityDetails" roleURI="http://www.jobyaviation.com/role/StockbasedCompensationScheduleofStockOptionActivityDetails">
        <link:definition>9955556 - Disclosure - Stock-based Compensation - Schedule of Stock Option Activity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationScheduleofRestrictedStockUnitsActivityDetails" roleURI="http://www.jobyaviation.com/role/StockbasedCompensationScheduleofRestrictedStockUnitsActivityDetails">
        <link:definition>9955557 - Disclosure - Stock-based Compensation - Schedule of Restricted Stock Units Activity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationScheduleofBlackScholesValuationAssumptionsDetails" roleURI="http://www.jobyaviation.com/role/StockbasedCompensationScheduleofBlackScholesValuationAssumptionsDetails">
        <link:definition>9955558 - Disclosure - Stock -based Compensation - Schedule of Black-Scholes Valuation Assumptions (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedCompensationSummaryofStockBasedCompensationExpenseDetails" roleURI="http://www.jobyaviation.com/role/StockbasedCompensationSummaryofStockBasedCompensationExpenseDetails">
        <link:definition>9955559 - Disclosure - Stock-based Compensation - Summary of Stock-Based Compensation Expense (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleoftheComponentsofLossBeforeTaxesDetails" roleURI="http://www.jobyaviation.com/role/IncomeTaxesScheduleoftheComponentsofLossBeforeTaxesDetails">
        <link:definition>9955560 - Disclosure - Income Taxes - Schedule of the Components of Loss Before Taxes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleofProvisionForIncomeTaxesDetails" roleURI="http://www.jobyaviation.com/role/IncomeTaxesScheduleofProvisionForIncomeTaxesDetails">
        <link:definition>9955561 - Disclosure - Income Taxes - Schedule of Provision For Income Taxes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleofEffectiveTaxRateReconciliationCurrentYearDetails" roleURI="http://www.jobyaviation.com/role/IncomeTaxesScheduleofEffectiveTaxRateReconciliationCurrentYearDetails">
        <link:definition>9955562 - Disclosure - Income Taxes - Schedule of Effective Tax Rate Reconciliation - Current Year (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleofEffectiveTaxRateReconciliationPriorYearsDetails" roleURI="http://www.jobyaviation.com/role/IncomeTaxesScheduleofEffectiveTaxRateReconciliationPriorYearsDetails">
        <link:definition>9955563 - Disclosure - Income Taxes - Schedule of Effective Tax Rate Reconciliation - Prior Years (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleofDeferredIncomeTaxAssetsDetails" roleURI="http://www.jobyaviation.com/role/IncomeTaxesScheduleofDeferredIncomeTaxAssetsDetails">
        <link:definition>9955564 - Disclosure - Income Taxes - Schedule of Deferred Income Tax Assets (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesScheduleoftheChangesintheGrossAmountofUnrecognizedTaxBenefitsDetails" roleURI="http://www.jobyaviation.com/role/IncomeTaxesScheduleoftheChangesintheGrossAmountofUnrecognizedTaxBenefitsDetails">
        <link:definition>9955565 - Disclosure - Income Taxes - Schedule of the Changes in the Gross Amount of Unrecognized Tax Benefits (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesAdditionalInformationDetails" roleURI="http://www.jobyaviation.com/role/IncomeTaxesAdditionalInformationDetails">
        <link:definition>9955566 - Disclosure - Income Taxes - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RelatedPartyTransactionsAdditionalInformationDetails" roleURI="http://www.jobyaviation.com/role/RelatedPartyTransactionsAdditionalInformationDetails">
        <link:definition>9955567 - Disclosure - Related Party Transactions - Additional Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetLossperShareAttributabletoCommonStockholdersScheduleofBasicandDilutedNetLossPerShareAttributabletoCommonStockholdersDetails" roleURI="http://www.jobyaviation.com/role/NetLossperShareAttributabletoCommonStockholdersScheduleofBasicandDilutedNetLossPerShareAttributabletoCommonStockholdersDetails">
        <link:definition>9955568 - Disclosure - Net Loss per Share Attributable to Common Stockholders - Schedule of Basic and Diluted Net Loss Per Share Attributable to Common Stockholders (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NetLossperShareAttributabletoCommonStockholdersScheduleofAntidilutiveSecuritiesExcludedfromComputationofEarningsPerShareDetails" roleURI="http://www.jobyaviation.com/role/NetLossperShareAttributabletoCommonStockholdersScheduleofAntidilutiveSecuritiesExcludedfromComputationofEarningsPerShareDetails">
        <link:definition>9955569 - Disclosure - Net Loss per Share Attributable to Common Stockholders - Schedule of Antidilutive Securities Excluded from Computation of Earnings Per Share (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SegmentReportingNarrativeDetails" roleURI="http://www.jobyaviation.com/role/SegmentReportingNarrativeDetails">
        <link:definition>9955570 - Disclosure - Segment Reporting - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SegmentReportingScheduleofSegmentReportingDetails" roleURI="http://www.jobyaviation.com/role/SegmentReportingScheduleofSegmentReportingDetails">
        <link:definition>9955571 - Disclosure - Segment Reporting - Schedule of Segment Reporting (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SegmentReportingScheduleofGeographicInformationDetails" roleURI="http://www.jobyaviation.com/role/SegmentReportingScheduleofGeographicInformationDetails">
        <link:definition>9955572 - Disclosure - Segment Reporting - Schedule of Geographic Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEventsDetails" roleURI="http://www.jobyaviation.com/role/SubsequentEventsDetails">
        <link:definition>9955573 - Disclosure - Subsequent Events (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="joby_AuditInformationAbstract" abstract="true" name="AuditInformationAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="joby_GainLossOnCommonStockIssuedInPrivatePlacement" abstract="false" name="GainLossOnCommonStockIssuedInPrivatePlacement" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_GainLossFromChangeInTheFairValueOfWarrantsEarnoutSharesAndContingentConsideration" abstract="false" name="GainLossFromChangeInTheFairValueOfWarrantsEarnoutSharesAndContingentConsideration" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_AtTheMarketPublicOfferingMember" abstract="true" name="AtTheMarketPublicOfferingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_UnderwrittenPublicOfferingMember" abstract="true" name="UnderwrittenPublicOfferingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_PrivatePlacementWarrantsMember" abstract="true" name="PrivatePlacementWarrantsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_PublicWarrantsMember" abstract="true" name="PublicWarrantsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_AdjustmentsToAdditionalPaidInCapitalVestingOfEarnoutShares" abstract="false" name="AdjustmentsToAdditionalPaidInCapitalVestingOfEarnoutShares" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_VestingOfCommonStockIssuedInPrivatePlacementAndEarlyExercisedStockOptions" abstract="false" name="VestingOfCommonStockIssuedInPrivatePlacementAndEarlyExercisedStockOptions" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_ProceedsFromStockOptionsExercisedAndIssuanceOfWarrants" abstract="false" name="ProceedsFromStockOptionsExercisedAndIssuanceOfWarrants" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_NoncashExerciseOfPrivateWarrants" abstract="false" name="NoncashExerciseOfPrivateWarrants" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_StockWarrantsAndEarnoutSharesTextBlock" abstract="false" name="StockWarrantsAndEarnoutSharesTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="joby_CommonStockWarrantsLiabilitiesPolicyTextBlock" abstract="false" name="CommonStockWarrantsLiabilitiesPolicyTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="joby_EarnoutSharesLiabilityPolicyTextBlock" abstract="false" name="EarnoutSharesLiabilityPolicyTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="joby_SupplementalLeaseInformationTableTextBlock" abstract="false" name="SupplementalLeaseInformationTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="joby_ScheduleOfCommonStockSharesReservedForFutureIssuanceTableTableTextBlock" abstract="false" name="ScheduleOfCommonStockSharesReservedForFutureIssuanceTableTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="joby_ScheduleOfShareBasedPaymentAwardBlackScholesStockOptionsValuationAssumptionsTableTextBlock" abstract="false" name="ScheduleOfShareBasedPaymentAwardBlackScholesStockOptionsValuationAssumptionsTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="joby_SummaryOfSignificantAccountingPoliciesTable" abstract="true" name="SummaryOfSignificantAccountingPoliciesTable" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:hypercubeItem" type="xbrli:stringItemType"/>
  <xs:element id="joby_LeaseObligationMember" abstract="true" name="LeaseObligationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_TwoCustomersMember" abstract="true" name="TwoCustomersMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_CustomerAMember" abstract="true" name="CustomerAMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_CustomerBMember" abstract="true" name="CustomerBMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_OneCustomerMember" abstract="true" name="OneCustomerMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_SummaryOfSignificantAccountingPoliciesLineItems" abstract="true" name="SummaryOfSignificantAccountingPoliciesLineItems" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="joby_LockUpAndTransferOfCommonShares" abstract="false" name="LockUpAndTransferOfCommonShares" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="joby_CommonStockWarrantLiabilitiesPublicMember" abstract="true" name="CommonStockWarrantLiabilitiesPublicMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_CommonStockWarrantLiabilitiesPrivateMember" abstract="true" name="CommonStockWarrantLiabilitiesPrivateMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_CommonStockWarrantLiabilitiesDeltaMember" abstract="true" name="CommonStockWarrantLiabilitiesDeltaMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_WarrantLiabilityFairValueDisclosure" abstract="false" name="WarrantLiabilityFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_EarnoutSharesLiabilityFairValueDisclosure" abstract="false" name="EarnoutSharesLiabilityFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_DebtSecuritiesAvailableForSaleMaturityWeightedAverageRemainingMaturity" abstract="false" name="DebtSecuritiesAvailableForSaleMaturityWeightedAverageRemainingMaturity" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="joby_EarnOutSharesMember" abstract="true" name="EarnOutSharesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_EBITDAEarnoutLiabilityMember" abstract="true" name="EBITDAEarnoutLiabilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_AerospaceModularAutonomyTechnologyCompanyMember" abstract="true" name="AerospaceModularAutonomyTechnologyCompanyMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_HoldbackEquityMember" abstract="true" name="HoldbackEquityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_BusinessCombinationConsiderationTransferredEquityInterestsIssuedAndIssuableShares" abstract="false" name="BusinessCombinationConsiderationTransferredEquityInterestsIssuedAndIssuableShares" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="joby_BladeUrbanAirMobilityLLCAcquisitionMember" abstract="true" name="BladeUrbanAirMobilityLLCAcquisitionMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_RestrictedStockUnitsRSUsBeforeBusinessCombinationMember" abstract="true" name="RestrictedStockUnitsRSUsBeforeBusinessCombinationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_RestrictedStockUnitsRSUsAfterBusinessCombinationMember" abstract="true" name="RestrictedStockUnitsRSUsAfterBusinessCombinationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_ExclusiveRightsToAirTransportationServicesMember" abstract="true" name="ExclusiveRightsToAirTransportationServicesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_BusinessCombinationConsiderationTransferredEquityInterestPostCombinationCompensationExpense" abstract="false" name="BusinessCombinationConsiderationTransferredEquityInterestPostCombinationCompensationExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationConsiderationIndemnityHoldbackAmount" abstract="false" name="BusinessCombinationConsiderationIndemnityHoldbackAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationConsiderationTransferredShareBasedCompensationFairValue" abstract="false" name="BusinessCombinationConsiderationTransferredShareBasedCompensationFairValue" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationContingentConsiderationLiabilityRetentionEarnout" abstract="false" name="BusinessCombinationContingentConsiderationLiabilityRetentionEarnout" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationContingentConsiderationLiabilityRetentionEarnoutPeriod" abstract="false" name="BusinessCombinationContingentConsiderationLiabilityRetentionEarnoutPeriod" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="joby_RetentionEarnoutLiabilityNoncurrent" abstract="false" name="RetentionEarnoutLiabilityNoncurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_CommercialAgreementExclusiveRightsToMedicalTransportServicePeriod" abstract="false" name="CommercialAgreementExclusiveRightsToMedicalTransportServicePeriod" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="joby_EBITDAEarnoutLiabilityNoncurrent" abstract="false" name="EBITDAEarnoutLiabilityNoncurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationConsiderationTransferredIndemnityHoldbackPeriod" abstract="false" name="BusinessCombinationConsiderationTransferredIndemnityHoldbackPeriod" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="joby_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustments" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustments" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentWorkingCapital" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentWorkingCapital" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentOther" abstract="false" name="BusinessCombinationProvisionalInformationInitialAccountingIncompleteAdjustmentOther" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationRecognizedAssetAcquiredIdentifiableIntangibleAssetFiniteLivedMeasurementInput" abstract="false" name="BusinessCombinationRecognizedAssetAcquiredIdentifiableIntangibleAssetFiniteLivedMeasurementInput" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:decimalItemType"/>
  <xs:element id="joby_BusinessCombinationRecognizedAssetAcquiredRestrictedCash" abstract="false" name="BusinessCombinationRecognizedAssetAcquiredRestrictedCash" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationRecognizedAssetAcquiredAccountsAndOtherReceivables" abstract="false" name="BusinessCombinationRecognizedAssetAcquiredAccountsAndOtherReceivables" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationRecognizedAssetAcquiredOperatingLeaseRightOfUseAssets" abstract="false" name="BusinessCombinationRecognizedAssetAcquiredOperatingLeaseRightOfUseAssets" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssetsAcquiredIncludingGoodwill" abstract="false" name="BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssetsAcquiredIncludingGoodwill" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationRecognizedLiabilityAssumedAccruedExpensesAndOtherLiabilityCurrent" abstract="false" name="BusinessCombinationRecognizedLiabilityAssumedAccruedExpensesAndOtherLiabilityCurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationRecognizedLiabilityAssumedOperatingLeaseLiabilityCurrent" abstract="false" name="BusinessCombinationRecognizedLiabilityAssumedOperatingLeaseLiabilityCurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_BusinessCombinationRecognizedLiabilityAssumedOperatingLeaseLiabilityNoncurrent" abstract="false" name="BusinessCombinationRecognizedLiabilityAssumedOperatingLeaseLiabilityNoncurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_AutomationPlatformSoftwareMember" abstract="true" name="AutomationPlatformSoftwareMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_SystemSimulationSoftwareTechnologyMember" abstract="true" name="SystemSimulationSoftwareTechnologyMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_FiniteLivedIntangibleAssetExpectedAmortizationYearFiveAndThereafter" abstract="false" name="FiniteLivedIntangibleAssetExpectedAmortizationYearFiveAndThereafter" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_PrepaidEquipment" abstract="false" name="PrepaidEquipment" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_PrepaidSoftware" abstract="false" name="PrepaidSoftware" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_PrepaidOperators" abstract="false" name="PrepaidOperators" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_IndemnityHoldbackLiabilityNoncurrent" abstract="false" name="IndemnityHoldbackLiabilityNoncurrent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_FinanceLeaseMember" abstract="true" name="FinanceLeaseMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_LeaseWeightedAverageRemainingLeaseTermAbstract" abstract="true" name="LeaseWeightedAverageRemainingLeaseTermAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="joby_LeaseWeightedAverageDiscountRateAbstract" abstract="true" name="LeaseWeightedAverageDiscountRateAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="joby_CashFlowLesseeAbstract" abstract="true" name="CashFlowLesseeAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="joby_RightOfUseAssetObtainedInExchangeForLeaseLiabilityAbstract" abstract="true" name="RightOfUseAssetObtainedInExchangeForLeaseLiabilityAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="joby_BladeAirMobilityIncMember" abstract="true" name="BladeAirMobilityIncMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_DeltaWarrantsMember" abstract="true" name="DeltaWarrantsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_TrancheOneMember" abstract="true" name="TrancheOneMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_TrancheTwoMember" abstract="true" name="TrancheTwoMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_TrancheThreeMember" abstract="true" name="TrancheThreeMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_TrancheFourMember" abstract="true" name="TrancheFourMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_TrancheFiveMember" abstract="true" name="TrancheFiveMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_WarrantsIssuedToSponsor" abstract="false" name="WarrantsIssuedToSponsor" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="joby_ClassOfWarrantsOrRightExercised" abstract="false" name="ClassOfWarrantsOrRightExercised" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="joby_GainLossInFairValueWarrantsLiability" abstract="false" name="GainLossInFairValueWarrantsLiability" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_EarnoutShareVestingPercentage" abstract="false" name="EarnoutShareVestingPercentage" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="joby_WeightedAveragePricePerShare" abstract="false" name="WeightedAveragePricePerShare" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:perShareItemType"/>
  <xs:element id="joby_NumberOfTradingDays" abstract="false" name="NumberOfTradingDays" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="joby_EarnoutSharesVested" abstract="false" name="EarnoutSharesVested" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="joby_ClassOfWarrantOrRightNumberOfTranches" abstract="false" name="ClassOfWarrantOrRightNumberOfTranches" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="joby_ClassOfWarrantOrRightValueCapAdjustmentPeriod" abstract="false" name="ClassOfWarrantOrRightValueCapAdjustmentPeriod" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="joby_ClassOfWarrantOrRightValueCapAdjustmentPeriodStockPriceTriggerPercent" abstract="false" name="ClassOfWarrantOrRightValueCapAdjustmentPeriodStockPriceTriggerPercent" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="joby_ClassOfWarrantOrRightValueCapAdjustmentPeriodThresholdBusinessDays" abstract="false" name="ClassOfWarrantOrRightValueCapAdjustmentPeriodThresholdBusinessDays" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="joby_AmendedAndRestatedCertificateOfIncorporationMember" abstract="true" name="AmendedAndRestatedCertificateOfIncorporationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_PrivatePlacementTrancheOneMember" abstract="true" name="PrivatePlacementTrancheOneMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_PrivatePlacementTrancheTwoMember" abstract="true" name="PrivatePlacementTrancheTwoMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_CommonStockVotingRightsNumberOfVotes" abstract="false" name="CommonStockVotingRightsNumberOfVotes" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="joby_SaleOfStockOfferingCosts" abstract="false" name="SaleOfStockOfferingCosts" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_SaleOfStockSharesAvailableForIssuanceValue" abstract="false" name="SaleOfStockSharesAvailableForIssuanceValue" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_CommonStockSharesReservedForFutureIssuanceAxis" abstract="true" name="CommonStockSharesReservedForFutureIssuanceAxis" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:dimensionItem" type="xbrli:stringItemType"/>
  <xs:element id="joby_CommonStockSharesReservedForFutureIssuanceDomain" abstract="true" name="CommonStockSharesReservedForFutureIssuanceDomain" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_StockOptionsOutstandingUnderTwoThousandAndSixteenStockPlanMember" abstract="true" name="StockOptionsOutstandingUnderTwoThousandAndSixteenStockPlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_UnvestedRsusUnder2016StockPlanMember" abstract="true" name="UnvestedRsusUnder2016StockPlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_UnvestedRSUsUnder2021StockPlanMember" abstract="true" name="UnvestedRSUsUnder2021StockPlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_RemainingSharesAvailableForFutureIssuanceUnderTheTwoThousandTwentyOnePlanMember" abstract="true" name="RemainingSharesAvailableForFutureIssuanceUnderTheTwoThousandTwentyOnePlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_SharesAvailableForIssuanceUnder2021ESPPPlanMember" abstract="true" name="SharesAvailableForIssuanceUnder2021ESPPPlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_ContractWithCustomerLiabilityCustomerCreditPeriod" abstract="false" name="ContractWithCustomerLiabilityCustomerCreditPeriod" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="joby_IncentiveStockOptionsMember" abstract="true" name="IncentiveStockOptionsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_OtherStockBasedAwardsMember" abstract="true" name="OtherStockBasedAwardsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_TwoThousandAndSixteenStockOptionAndGrantPlanMember" abstract="true" name="TwoThousandAndSixteenStockOptionAndGrantPlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_EquityIncentivePlanTwoThousandTwentyOnePlanMember" abstract="true" name="EquityIncentivePlanTwoThousandTwentyOnePlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_TwoThousandTwentyOneEmployeeStockPurchasePlanMember" abstract="true" name="TwoThousandTwentyOneEmployeeStockPurchasePlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_GranteeOwnsTenPercentOfVotingRightsMember" abstract="true" name="GranteeOwnsTenPercentOfVotingRightsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_LegacyJobyPreferredStockMember" abstract="true" name="LegacyJobyPreferredStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_ContractualTermOfOptions" abstract="false" name="ContractualTermOfOptions" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="joby_AwardCliffOffPeriod" abstract="false" name="AwardCliffOffPeriod" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="joby_PercentageOfShareholdingByGrantee" abstract="false" name="PercentageOfShareholdingByGrantee" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="joby_PercentageOfStockholdersOnExercisePriceOfOptionGranted" abstract="false" name="PercentageOfStockholdersOnExercisePriceOfOptionGranted" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="joby_PercentageOfShareOutstanding" abstract="false" name="PercentageOfShareOutstanding" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="joby_ShareBasedCompensationArrangementByShareBasedPaymentAwardTargetBonusThreshold" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardTargetBonusThreshold" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="joby_ShareBasedCompensationArrangementByShareBasedPaymentAwardTargetBonusThresholdIncreaseForStretchGoalPercentage" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardTargetBonusThresholdIncreaseForStretchGoalPercentage" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="joby_ShareBasedCompensationArrangementByShareBasedPaymentAwardShareConversionRatio" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardShareConversionRatio" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="joby_ShareBasedCompensationArrangementRestrictedStockUnitMaximumPotentialConversionRatio" abstract="false" name="ShareBasedCompensationArrangementRestrictedStockUnitMaximumPotentialConversionRatio" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="joby_ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfPerformanceGoals" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfPerformanceGoals" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="joby_ShareBasedCompensationArrangementByShareBasedPaymentAwardMaximumEarnedPercentage" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardMaximumEarnedPercentage" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="joby_ShareBasedCompensationArrangementByShareBasedPaymentAwardMinimumEarnedPercentage" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardMinimumEarnedPercentage" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="joby_ShareBasedCompensationArrangementByShareBasedPaymentAwardTargetEarnedPercentage" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardTargetEarnedPercentage" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="joby_ShareBasedPaymentArrangementByShareBasedPaymentAwardNumberOfAwardInstallments" abstract="false" name="ShareBasedPaymentArrangementByShareBasedPaymentAwardNumberOfAwardInstallments" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="joby_PaymentsForAdvisoryServicesShares" abstract="false" name="PaymentsForAdvisoryServicesShares" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="joby_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingWeightedAverageRemainingContractualTermInYearsAbstract" abstract="true" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingWeightedAverageRemainingContractualTermInYearsAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="joby_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingAggregateIntrinsicValueAbstract" abstract="true" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsOutstandingAggregateIntrinsicValueAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="joby_EffectiveIncomeTaxRateReconciliationNondeductibleExpenseShareBasedPaymentArrangementNetAmount" abstract="false" name="EffectiveIncomeTaxRateReconciliationNondeductibleExpenseShareBasedPaymentArrangementNetAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_EffectiveIncomeTaxRateReconciliationNondeductibleExpenseChangeInFairValueOfDerivativeAmount" abstract="false" name="EffectiveIncomeTaxRateReconciliationNondeductibleExpenseChangeInFairValueOfDerivativeAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_EffectiveIncomeTaxRateReconciliationNondeductibleExpenseShareBasedPaymentArrangementNetPercent" abstract="false" name="EffectiveIncomeTaxRateReconciliationNondeductibleExpenseShareBasedPaymentArrangementNetPercent" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="joby_EffectiveIncomeTaxRateReconciliationNondeductibleExpenseChangeInFairValueOfDerivativePercent" abstract="false" name="EffectiveIncomeTaxRateReconciliationNondeductibleExpenseChangeInFairValueOfDerivativePercent" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:percentItemType"/>
  <xs:element id="joby_EffectiveIncomeTaxRateReconciliationStockBasedCompensationExcessTaxBenefits" abstract="false" name="EffectiveIncomeTaxRateReconciliationStockBasedCompensationExcessTaxBenefits" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_DeferredTaxAssetsGoodwill" abstract="false" name="DeferredTaxAssetsGoodwill" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_DeferredTaxAssetsIntangibleAssets" abstract="false" name="DeferredTaxAssetsIntangibleAssets" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_DeferredTaxAssetsLeasingArrangements" abstract="false" name="DeferredTaxAssetsLeasingArrangements" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_ContractualAgreement" abstract="false" name="ContractualAgreement" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_ResearchAndDevelopmentMember" abstract="true" name="ResearchAndDevelopmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_OfficeSpaceAndCertainUtilitiesAndMaintenanceServicesMember" abstract="true" name="OfficeSpaceAndCertainUtilitiesAndMaintenanceServicesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_SubassemblyComponentsMember" abstract="true" name="SubassemblyComponentsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_DemonstrationFlightsAndSupportServicesMember" abstract="true" name="DemonstrationFlightsAndSupportServicesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_ToyotaStockPurchaseAgreementMember" abstract="true" name="ToyotaStockPurchaseAgreementMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_RelatedPartyTransactionBeneficialOwnerPercentage" abstract="false" name="RelatedPartyTransactionBeneficialOwnerPercentage" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="joby_WarrantsMember" abstract="true" name="WarrantsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_UnvestedRestrictedStockAwardsMember" abstract="true" name="UnvestedRestrictedStockAwardsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_UnvestedRestrictedStockUnitsMember" abstract="true" name="UnvestedRestrictedStockUnitsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_UnvestedExercisedCommonStockOptionsMember" abstract="true" name="UnvestedExercisedCommonStockOptionsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_OptionsToPurchaseCommonStockMember" abstract="true" name="OptionsToPurchaseCommonStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_FlightServicesMember" abstract="true" name="FlightServicesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_PersonnelRelatedCostsExcludingStockBasedCompensationExpense" abstract="false" name="PersonnelRelatedCostsExcludingStockBasedCompensationExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_PublicStockOfferingMember" abstract="true" name="PublicStockOfferingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_AdditionalPublicStockOfferingMember" abstract="true" name="AdditionalPublicStockOfferingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_ConvertibleSeniorNotesDue2032Member" abstract="true" name="ConvertibleSeniorNotesDue2032Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_SaleOfStockOverAllotmentOptionPeriod" abstract="false" name="SaleOfStockOverAllotmentOptionPeriod" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="joby_DebtInstrumentConvertibleAdditionalPurchaseOptionAmount" abstract="false" name="DebtInstrumentConvertibleAdditionalPurchaseOptionAmount" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_DebtInstrumentConvertibleCappedCallTransaction" abstract="false" name="DebtInstrumentConvertibleCappedCallTransaction" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="joby_DebtInstrumentConvertibleCapConversionPrice" abstract="false" name="DebtInstrumentConvertibleCapConversionPrice" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types:perShareItemType"/>
  <xs:element id="joby_PaulSciarraMember" abstract="true" name="PaulSciarraMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_JoeBenBevirtMember" abstract="true" name="JoeBenBevirtMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_JoeBenBevirtTradingArrangementCommonStockMember" abstract="true" name="JoeBenBevirtTradingArrangementCommonStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_JoeBenBevirtTradingArrangementCommonStockHeldByJobyTrustMember" abstract="true" name="JoeBenBevirtTradingArrangementCommonStockHeldByJobyTrustMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_JoeBenBevirtTradingArrangementCommonStockHeldByJoeBenBevirt2020DescendantsTrustMember" abstract="true" name="JoeBenBevirtTradingArrangementCommonStockHeldByJoeBenBevirt2020DescendantsTrustMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="joby_EricAllisonMember" abstract="true" name="EricAllisonMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
</xs:schema>
